#include <bits/stdc++.h>
using namespace std;
using ll = long long;
using pll = pair<ll,ll>;
/*struct segtree{
    ll n;
    vector<ll> t;
    vector<ll> add;
    segtree(vector<ll> &zxc){
        n = zxc.size();
        t.resize(4 * n);
        add.resize(4 * n);
        build(0, 0, n-1,zxc);
    }
    ll F(ll a, ll b){
        return max(a,b);
    }
    void build (ll v,ll l, ll r,vector<ll> &a){
        if(l ==  r){
            t[v] = a[l];
            return;
        }
        ll m = (l + r)/2;
        build(v * 2 + 1,l,m,a);
        build(v * 2 + 2,m + 1,r,a);
        t[v] = F(t[v * 2 + 1], t[v * 2 + 2]);
    }
    void push (ll v){
        if(2 * v + 2 >= 4 * n){
            return;
        }
        t[v] = add[v];
        add[2 * v + 1] = add[v];

    }
};*/
/*vector<bool> used;
vector<vector<ll>> g;
void dfs(ll v){
    used[v] = true;
    for(auto u : g[v]){
        if(!used[u]){
            dfs(u);
        }
    }
}*/
//vector<ll>
const ll inf = 1e18;
/*ll stsl (ll n, ll q, vector<ll> a, vector<vector<ll>> &gr, ll tec,ll last){
    if(tec == n){
        ll anss = 0;
        for(int i = 0; i < q; i++){
            ll mx = -inf;
            if(gr[i].size() == 0){
                gr[last].pop_back();
                return -inf;
            }
            for(int j = 0; j < gr[i].size(); j++){
                mx = max(mx,gr[i][j] + j + 1);
            }
            anss +=mx;
        }
        gr[last].pop_back();
        return anss;
    }
    ll anss = 0;
    for(int i = 0; i < q; i++){
        gr[i].push_back(a[tec]);
        anss = max(stsl(n,q,a,gr,tec+1,i),anss);
    }
    gr[last].pop_back();
    return anss;
}*/
void deb(vector<ll> a){
    for(auto v : a){
        cout << v << " ";
    }
    cout << '\n';
}
int main() {
   /*ll n,m;
   cin >> n >> m;
   vector<ll> b (n);
   vector<ll> a(n);
   vector<ll> res(2 * n + m);
   vector<ll> vp(2 * n + m);
   for(int i = 0; i < n; i++){
       cin >> a[i];
       a[i]--;
       vp[a[i]] = 2;
   }
   for(int i = 0; i < n; i++){
       cin >> b[i];
       b[i]--;
   }
   vector<ll> c(m);
   for(int i = 0; i < m; i++){
       cin >> c[i];
       c[i]--;
       vp[c[i]] = 1;
   }
   ll tec = 1;
   ll counter = 0;
   for(int i = 0; i < 2 * n + m; i++){
       if(vp[i] == 2){
           counter++;
           if(counter == n){
               break;
           }
           tec += 1;
           tec %= 2;
       }
       if(vp[i] == 1){
           tec += 1;
           tec %= 2;
       }
   }
   if(tec == 1){
       cout << "First";
   }
   else{
       cout << "Second";
   }*/
   cout << "0\n0";
}
/*
 * 5 5 10
 * cout <<
4 5 2 7 1
 1 2 3 4 5
 */